<?php

if ( function_exists('register_sidebar') )
register_sidebar(array(
	'name' => 'sidebar',
	'before_widget' => '<div class="rightBox">',
	'after_widget' => '</div>',
	'before_title' => '<h2>',
	'after_title' => '</h2>',
));

function do_excerpt($string, $word_limit) { 
$words = explode(' ', $string, ($word_limit + 1)); 
if (count($words) > $word_limit) 
array_pop($words); 
echo implode(' ', $words).' ...'; 
}


function string_getInsertedString($long_string,$short_string,$is_html=false){
if($short_string>=strlen($long_string))return false;
$insertion_length=strlen($long_string)-strlen($short_string);
for($i=0;$i<strlen($short_string);++$i){
if($long_string[$i]!=$short_string[$i])break;
}
$inserted_string=substr($long_string,$i,$insertion_length);
if($is_html && $inserted_string[$insertion_length-1]=='<'){
$inserted_string='<'.substr($inserted_string,0,$insertion_length-1);
}
return $inserted_string;
}

function DOMElement_getOuterHTML($document,$element){
$html=$document->saveHTML();
$element->parentNode->removeChild($element);
$html2=$document->saveHTML();
return string_getInsertedString($html,$html2,true);
}




////////////////////////////////////////////////////////////////////////////////
// Get Recent Comments With Avatar
////////////////////////////////////////////////////////////////////////////////
function get_avatar_recent_comment() {

global $wpdb;

$sql = "SELECT DISTINCT ID, post_title, post_password, comment_ID,
comment_post_ID, comment_author, comment_author_email, comment_date_gmt, comment_approved,
comment_type,comment_author_url,
SUBSTRING(comment_content,1,70) AS com_excerpt
FROM $wpdb->comments
LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID =
$wpdb->posts.ID)
WHERE comment_approved = '1' AND comment_type = '' AND
post_password = ''
ORDER BY comment_date_gmt DESC LIMIT 4";

$comments = $wpdb->get_results($sql);
$output = $pre_HTML;
$gravatar_status = 'on'; /* off if not using */

foreach ($comments as $comment) {
$email = $comment->comment_author_email;
$grav_name = $comment->comment_author;
$grav_url = "http://www.gravatar.com/avatar.php?gravatar_id=".md5($email). "&amp;size=32"; ?>



            



      	<?php 
        $pathtotheme = get_bloginfo('stylesheet_directory');
        if(!empty($comment -> comment_author_email)) 
        {
            $md5 = md5($comment -> comment_author_email);
            $default = urlencode("$pathtotheme/images/avatar.png");
            echo "<img src='http://www.gravatar.com/avatar.php?gravatar_id=$md5&amp;size=40&amp;default=$default' width='30' height='30' alt='commenter' />";
        }
        ?>

     
<li>
<span class="strip"><a href="<?php echo get_permalink($comment->ID); ?>#comment-<?php echo $comment->comment_ID; ?>" title="на <?php echo $comment->post_title; ?>"><?php echo strip_tags($comment->comment_author); ?></a>: <br /></span>

<?php echo strip_tags($comment->com_excerpt); ?>...
</li>


  
               




<?php

}
}


////////////////////////////////////////////////////////////////////////////////
// Навигация
////////////////////////////////////////////////////////////////////////////////

function kama_pagenavi($before='', $after='', $echo=true) {  
    /* ================ Настройки ================ */  
    $text_num_page = ''; // Текст для количества страниц. {current} заменится текущей, а {last} последней. Пример: 'Страница {current} из {last}' = Страница 4 из 60  
    $num_pages = 10; // сколько ссылок показывать  
    $stepLink = 10; // после навигации ссылки с определенным шагом (значение = число (какой шаг) или '', если не нужно показывать). Пример: 1,2,3...10,20,30  
    $dotright_text = '…'; // промежуточный текст "до".  
    $dotright_text2 = '…'; // промежуточный текст "после".  
    $backtext = '« назад'; // текст "перейти на предыдущую страницу". Ставим '', если эта ссылка не нужна.  
    $nexttext = 'вперед »'; // текст "перейти на следующую страницу". Ставим '', если эта ссылка не нужна.  
    $first_page_text = '« к началу'; // текст "к первой странице" или ставим '', если вместо текста нужно показать номер страницы.  
    $last_page_text = 'в конец »'; // текст "к последней странице" или пишем '', если вместо текста нужно показать номер страницы.  
    /* ================ Конец Настроек ================ */   
  
    global $wp_query;  
    $posts_per_page = (int) $wp_query->query_vars[posts_per_page];  
    $paged = (int) $wp_query->query_vars[paged];  
    $max_page = $wp_query->max_num_pages;  
  
    if($max_page <= 1 ) return false; //проверка на надобность в навигации  
  
    if(empty($paged) || $paged == 0) $paged = 1;  
  
    $pages_to_show = intval($num_pages);  
    $pages_to_show_minus_1 = $pages_to_show-1;  
  
    $half_page_start = floor($pages_to_show_minus_1/2); //сколько ссылок до текущей страницы  
    $half_page_end = ceil($pages_to_show_minus_1/2); //сколько ссылок после текущей страницы  
  
    $start_page = $paged - $half_page_start; //первая страница  
    $end_page = $paged + $half_page_end; //последняя страница (условно)  
  
    if($start_page <= 0) $start_page = 1;  
    if(($end_page - $start_page) != $pages_to_show_minus_1) $end_page = $start_page + $pages_to_show_minus_1;  
    if($end_page > $max_page) {  
        $start_page = $max_page - $pages_to_show_minus_1;  
        $end_page = (int) $max_page;  
    }  
  
    if($start_page <= 0) $start_page = 1;    
  
     $out='';//выводим навигацию  
        $out.= $before."<div class='wp-pagenavi'>\n";  
                if ($text_num_page){  
                    $text_num_page = preg_replace ('!\{current\}|\{last\}!','%s',$text_num_page);  
                    $out.= sprintf ("<span class='pages'>$text_num_page</span>",$paged,$max_page);  
                }  
  
                if ($backtext && $paged!=1) $out.= '<a href="'.get_pagenum_link(($paged-1)).'">'.$backtext.'</a>';  
  
                if ($start_page >= 2 && $pages_to_show < $max_page) {  
                    $out.= '<a href="'.get_pagenum_link().'">'. ($first_page_text?$first_page_text:1) .'</a>';  
                    if($dotright_text && $start_page!=2) $out.= '<span class="extend">'.$dotright_text.'</span>';  
                }  
  
                for($i = $start_page; $i <= $end_page; $i++) {  
                    if($i == $paged) {  
                        $out.= '<span class="current">'.$i.'</span>';  
                    } else {  
  
                        $out.= '<a href="'.get_pagenum_link($i).'">'.$i.'</a>';  
                    }  
                }  
  
                //ссылки с шагом  
                if ($stepLink && $end_page < $max_page){  
                    for($i=$end_page+1; $i<=$max_page; $i++) {  
                        if($i % $stepLink == 0 && $i!==$num_pages) {  
                            if (++$dd == 1) $out.= '<span class="extend">'.$dotright_text2.'</span>';  
                            $out.= '<a href="'.get_pagenum_link($i).'">'.$i.'</a>';  
                        }  
                    }  
                }  
  
                if ($end_page < $max_page) {  
                    if($dotright_text && $end_page!=($max_page-1)) $out.= '<span class="extend">'.$dotright_text2.'</span>';  
                    $out.= '<a href="'.get_pagenum_link($max_page).'">'. ($last_page_text?$last_page_text:$max_page) .'</a>';  
                }  
  
                if ($nexttext && $paged!=$end_page) $out.= '<a href="'.get_pagenum_link(($paged+1)).'">'.$nexttext.'</a>';  
  
        $out.= "</div>".$after."\n";  
    if ($echo) echo $out;  
    else return $out;  
}  



add_theme_support('post-thumbnails');



/*******************************
 CUSTOM COMMENTS
********************************/




function mytheme_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
   <li <?php comment_class('clearfix'); ?> id="li-comment-<?php comment_ID() ?>">
   
    <div class="avatar">
		<?php 
        $pathtotheme = get_bloginfo('stylesheet_directory');
        if(!empty($comment -> comment_author_email)) 
        {
            $md5 = md5($comment -> comment_author_email);
            $default = urlencode("$pathtotheme/images/avatar_single.png");
            echo "<img src='http://www.gravatar.com/avatar.php?gravatar_id=$md5&amp;size=40&amp;default=$default' width='30' height='30' alt='commenter' />";
        }
        ?> </div>
     <div id="comment-<?php comment_ID(); ?>">
	  <div class="comment-meta commentmetadata clearfix">
	    <?php printf(__('%s'), get_comment_author_link()) ?> <span><?php printf(__('%1$s '), get_comment_date(),  get_comment_time()) ?>
	  </span>
	  </div>
	  
      <div class="text">
		  <?php comment_text() ?>
	  </div>
	  
	  <?php if ($comment->comment_approved == '0') : ?>
         <em><?php _e('Your comment is awaiting moderation.') ?></em>
         <br />
      <?php endif; ?>

      <div class="reply">
         <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>
     </div>
<?php }




/*******************************
  THEME OPTIONS PAGE
********************************/

add_action('admin_menu', 'WPpress_theme_page');
function WPpress_theme_page ()
{
	if ( count($_POST) > 0 && isset($_POST['WPpress_settings']) )
	{
		$options = array ('baner1','twitter_user','twitter_limit'  );
		
		foreach ( $options as $opt )
		{
			delete_option ( 'WPpress_'.$opt, $_POST[$opt] );
			add_option ( 'WPpress_'.$opt, $_POST[$opt] );	
		}			
		 
	}
	add_menu_page(__('WPpress Options'), __('Настройка WPpress '), 'edit_themes', basename(__FILE__), 'WPpress_settings');
	add_submenu_page(__('WPpress Options'), __('WPpress Options'), 'edit_themes', basename(__FILE__), 'WPpress_settings');
}
function WPpress_settings()
{?>


<div class="wrap">
	<h2>Настройка шаблона WPpress </h2>
	
<form method="post" action="">

	<fieldset style="border:1px solid #ddd; padding-bottom:20px; margin-top:20px;">
	<legend style="margin-left:5px; padding:0 5px;color:#333333;font-size:20px; font-style:italic;">Общие настройки шаблона</legend>
	<table class="form-table">
		<!-- General settings -->
		
		
<tr valign="top">
			<th scope="row"><label for="contact_text">Код банера (размер 468px на 60px)</label></th>
			<td>
				<textarea name="baner1" id="baner1" rows="7" cols="70" style="font-size:11px;"><?php echo stripslashes(get_option('WPpress_baner1')); ?></textarea>
			</td>

      <tr valign="top">
			<th scope="row"><label for="twitter_user"> Ваше ник в Twitter </label></th>
			<td>
				<input name="twitter_user" type="text" id="twitter_user" value="<?php echo get_option('WPpress_twitter_user'); ?>" class="regular-text" />
			</td>
		</tr>  
        
     <tr valign="top">
			<th scope="row"><label for="twitter_user"> Количество записей </label></th>
			<td>
				<input name="twitter_limit" type="text" id="twitter_limit"  value="<?php echo get_option('WPpress_twitter_limit'); ?>" class="regular-text" />
			</td>
		</tr>     
 
	</table>
	</fieldset>
	
        
      
   
	 <p class="submit">
		<input type="submit" name="Submit" class="button-primary" value="Обновить настройки" />
		<input type="hidden" name="WPpress_settings" value="save" style="display:none;" />
	</p>  
    
    
    
   
</form>
</div>
<?php }






?>